Debian Bug report logs - #362157
ITA: tilp -- TI calculator <-> PC communication program for X

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Wed, 12 Apr 2006 15:48:05 UTC

Owned by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Severity: normal

Fixed in version tilp/6.81-1

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362157; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tilp -- TI calculator <-> PC communication program for X
Date: Wed, 12 Apr 2006 17:24:51 +0200
Package: wnpp
Severity: normal

Hi,

I intend to orphan the tilp package.

The package description is:
 TiLP is a Texas Instruments calculator <-> PC communication program for
 Linux. It is able to use any type of link, like the original TI GRAPH-LINK
 (both black and grey cables), the homemade "$4 serial link", or the
 "$5 parallel link". It even supports the new TI GraphLink USB, using the
 tiglusb kernel module. See http://lpg.ticalc.org/.
 .
 With TiLP, you can transfer files from your PC to your Texas Instruments
 calculator, and vice-versa. You can also make a screen dump, a backup, transfer
 a backup to the calculator, or take control of your TI from your PC, or even
 install a new version of AMS on your calc !
 .
 You might be interested in the tidev-modules-source package which allows you
 to build a set of three kernel modules. These modules are three drivers for
 different link cables (serial, parallel, USB) which require running TiLP with
 root privileges. With these modules loaded and the appropriate rights on the
 device nodes, this won't be necessary.

You will probably be interested in the related, also orphaned, packages:
 tiemu, skinedit, tidev-modules-source, libtifiles0, libticables3, libticalcs4

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information stored:
Bug#362157; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 362157-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain LIEVIN <roms@tilp.info>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet@bugs.debian.org
Subject: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Tue, 27 Nov 2007 10:46:50 +0930
[Message part 1 (text/plain, inline)]
Hi,

The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
libtifiles and skinedit were orphaned by the previous maintainer, Julian
Blanche. Some of them now fail to build from source because the modules
packages were removed because they are apparently part of Linux now:

http://bugs.debian.org/362162

Are you interested in adopting these packages, or do you know any Debian
users who would be interested in keeping them in Debian and helping
maintain them? Ideally someone who has access to the hardware would be
good.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362157; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 362157-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>, Julien Blache <jb@jblache.org>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Wed, 28 Nov 2007 10:08:23 +0930
[Message part 1 (text/plain, inline)]
[keeping the bugs informed]

On Tue, 2007-11-27 at 21:12 +0100, Romain Liévin wrote:

> > The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
> > libtifiles and skinedit were orphaned by the previous maintainer, Julien
> > Blache. Some of them now fail to build from source because the modules
> > packages were removed because they are apparently part of Linux now:
> >
> > http://bugs.debian.org/362162
> 
> This is not fully exact: two of them (tipar/tiusb) are a part of the 
> Linux kernel tree but one of them (tiusb) has been removed from kernel. 
> Anyways, these modules are not needed any longer. TiLP2 provides a full 
> user-land support and relies on udev.

Ah, good to hear they aren't needed.

> > Are you interested in adopting these packages, or do you know any Debian
> > users who would be interested in keeping them in Debian and helping
> > maintain them? Ideally someone who has access to the hardware would be
> > good.
> 
> I may be interested in because 1) I did not find any users to manage 
> this 2) I have been managing my own Debian packages for 6 months 
> starting at JB's packages 3) I'm using Debian everywhere 4) I have 
> access to hardware (I'm the developer).
> 
> Nevertheless, I'm waiting for Julien Blache's phone calling before 
> giving you a final decision; Maybe you don't know: we are two guys 
> working on the three most importants projects (tilp/tiemu/tigcc) so 
> development is using a lot of my time.

Perhaps Julien would have time to sponsor your packages?

If not, here is the procedure to get the packages updated:

First read this:

http://people.debian.org/~mpalmer/debian-mentors_FAQ.html

Then get the packages uploaded to:

http://mentors.debian.net

Then ask for a sponsor on this list:

http://lists.debian.org/debian-mentors/

Once the sponsor is happy with your contributions, they can propose that
you become a DM (Debian Maintainer). DMs are people who can upload
specific packages to the archive:

http://www.debian.org/vote/2007/vote_003

Once you becomes a DM, you will be able to upload packages that you
maintain that a sponsor has previously tagged with a
"DM-Upload-Allowed: yes" field and signed and uploaded to Debian.
The DM process is a fairly new one, so we're still shaking out the bugs.

The other way to get direct upload rights (for any package) is to go
through NM. Currently this is a fairly long and arduous process that
requires some effort:

http://www.debian.org/devel/join/newmaint

> > I also note that src/win32/porttalk_ioctl.h is extremely non-free, and
> > shouldn't be distributed with libticables:
>    
> We fixed these issues few months ago by using MPlayer's driver (GPL'ed) 
> and we fixed TiEmu, too (it contained some unknown/non-free licensed code).

Ah, good to hear.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362157; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 362157-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Sat, 01 Dec 2007 07:00:57 +0930
[Message part 1 (text/plain, inline)]
On Fri, 2007-11-30 at 21:15 +0100, Romain Liévin wrote:

> Following JB's phone calling, I will maintain these packages.
>
> > Perhaps Julien would have time to sponsor your packages?
>  
> Yes, he agrees.

Excellent, keeping the bugs informed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Owner recorded as "Krzysztof Burghardt" <krzysztof@burghardt.pl>. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: tilp -- TI calculator <-> PC communication program for X' from `O: tilp -- TI calculator <-> PC communication program for X'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:07 GMT) Full text and rfc822 format available.

Owner changed from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:42:06 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Mon, 20 Oct 2008 14:24:06 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Mon, 20 Oct 2008 14:24:06 GMT) Full text and rfc822 format available.

Message #31 received at 362157-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 362157-close@bugs.debian.org
Subject: Bug#362157: fixed in tilp 6.81-1
Date: Mon, 20 Oct 2008 14:17:11 +0000
Source: tilp
Source-Version: 6.81-1

We believe that the bug you reported is fixed in the latest version of
tilp, which is due to be installed in the Debian FTP archive:

tilp_6.81-1.diff.gz
  to pool/main/t/tilp/tilp_6.81-1.diff.gz
tilp_6.81-1.dsc
  to pool/main/t/tilp/tilp_6.81-1.dsc
tilp_6.81-1_amd64.deb
  to pool/main/t/tilp/tilp_6.81-1_amd64.deb
tilp_6.81.orig.tar.gz
  to pool/main/t/tilp/tilp_6.81.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362157@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated tilp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Oct 2008 20:56:06 +0200
Source: tilp
Binary: tilp
Architecture: source amd64
Version: 6.81-1
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 tilp       - TI calculator <-> PC communication program for X
Closes: 362157 463687
Changes: 
 tilp (6.81-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #463687)
   * New maintainer. (Closes: #362157)
   * Conforms to Standards version to 3.8.0.
Checksums-Sha1: 
 00153d21b1ad3dd366bac3505cf210b2be165825 1102 tilp_6.81-1.dsc
 1dee99900fb23f3ca249d7cc165def42e09aa499 1196453 tilp_6.81.orig.tar.gz
 697a3d899a9186c42b384f00df79ef80bb408fe8 9679 tilp_6.81-1.diff.gz
 9f95c5619787e5ffd4c60a8dbaeb8c2a498cd9af 665840 tilp_6.81-1_amd64.deb
Checksums-Sha256: 
 1ae99fb329e0b239a3179bc40f0980ab41a16e878d204c6af4f7b5c07cc1c436 1102 tilp_6.81-1.dsc
 4aa3803a112836ebdbc4094f431320974f9f91181a3fa513cd3c70f07d9de982 1196453 tilp_6.81.orig.tar.gz
 cd32e9f70a1e9e53cd04ee29ea25565df8ab82077843d76f0e173e7611c03e92 9679 tilp_6.81-1.diff.gz
 c466f863f3fdc9b6891b99ed5c59f69faf7c26165f978854a71bcfb9eeac4900 665840 tilp_6.81-1_amd64.deb
Files: 
 ec8bd3bf6448e5c06645ff7d7b45c3f0 1102 math optional tilp_6.81-1.dsc
 e371629672fa336eddbed440566bfdb9 1196453 math optional tilp_6.81.orig.tar.gz
 63f98e7da01e2c911753eb333778ab5a 9679 math optional tilp_6.81-1.diff.gz
 c62c3b6ea3ff2301f9ee14d34cb9aa76 665840 math optional tilp_6.81-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI/I8nzWFP1/XWUWkRAuHqAJ0T0JVd+ueTAxY9vsGiWWFNfsM5uACfY3Da
F5kNUJ3kQ3P6wTmEoX01XOk=
=5bY3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Nov 2008 07:29:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:52:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.